      complex function lpbptf_b(f)
c
c ...... compute 17-23 sec Butterworth 10PBP Transfer Function
c
      complex*8 citf
c
c     include some useful stuff
c
      include 'numerical.h'
c
      ns = 10
      wc2 = tpi/17.
      wc3 = 1.1*wc2
      wc1 = tpi/23.
      wc0 = wc1/1.1
      wc = f
c
      if(wc.le.wc0) then
        citf = cmplx(0.,0.)
      elseif(wc.lt.wc1) then
        arg = pi*(wc-wc0)/(wc1-wc0)
        q = 0.5*(1.-cos(arg))
        citf = cmplx(q,0.)
      elseif(wc.le.wc2) then
        citf = cmplx(1.,0.)
      elseif(wc.lt.wc3) then
        arg = pi*(wc3-wc)/(wc3-wc2)
        q = 0.5*(1.-cos(arg))
        citf = cmplx(q,0.)
      else
        citf = cmplx(0.,0.)
      endif
c
      lpbptf_b = citf 
c
      return
      end
